Subject: RE: Jini Distributed Leasing Specification (was Re: timeout types )

From: Yaron Goland <[email-masked]>
Date: Mon, 31 Jan 2000 17:18:54 -0800

I must be missing something. Both points made below (that you can ask for
what you want and get back what the server decides to give and that renewal
is an explicit act) are already provided in WebDAV.

> -----Original Message-----
> From: Kaelin Colclasure [mailto:[email-masked]]
> Sent: Mon, January 24, 2000 12:01 PM
> To: Jim Whitehead; [email-masked]
> Subject: Re: Jini Distributed Leasing Specification (was Re: timeout
> types)
> 
> 
> ----- Original Message -----
> From: Jim Whitehead <[email-masked]>
> To: Kaelin Colclasure <[email-masked]>; <[email-masked]>
> Sent: Monday, January 24, 2000 11:47 AM
> Subject: RE: Jini Distributed Leasing Specification (was Re: 
> timeout types)
> 
> 
> > Well, I was not familiar with Jini leases, so I took a 
> quick look through
> > the spec. you referenced.  As near as I can tell, there are many
> > similarities between the semantics for Jini leases and 
> WebDAV locks.  Jini
> > leases allow an object to request a lease that lasts 
> forever, or for a
> > specific time period, similar to WebDAV locks which can be 
> requested for a
> > specific time period in seconds, or with the value "Infinite".  Jini
> leases
> > can be refreshed, as can WebDAV locks, by re-requesting the 
> lock. Jini
> > leases can be canceled before the time period ends, as can 
> WebDAV locks,
> > using the UNLOCK method.
> >
> > Was there some specific Jini lease semantic that you 
> particularly think
> > WebDAV would benefit from?
> 
> Yes.
> 
>  a) You can request an "infinite" lease, but you must be 
> prepared for the
>     server to return to you instead a finite lease. You must 
> then renew that
>     lease before it expires if you want it to persist without 
> interruption.
>  b) The renewal of the lease is an explicit action on the part of the
> client,
>     and is required to occur within a specific time interval. 
> There is no
>     implicit anything.
> 
> This is, IMHO, significantly less complicated to implement 
> robustly and
> correctly than implicit renewal. And of course, truly 
> infinite locks are
> highly suspect in a distributed environment. It could be argued that
> leases shouldn't permit them at all -- but it suffices to interpret
> "infinite" to mean "the longest period a server chooses to tolerate
> possibly holding a resource for a client that's never coming back."
> 
> -- Kaelin
> 
> --
> Become a Venture Technologist... <http://www.everest.com/careers/>
>